Name:		atomicapp
Version:	0.4.5
Release:	1%{?dist}
Summary:	Reference implementation of the Nulecule container application Specification

License:	LGPLv3
URL:		https://github.com/projectatomic/%{name}
Source0:	https://github.com/projectatomic/%{name}/archive/%{version}.tar.gz

BuildArch:	noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

Requires:       python-anymarkup >= 0.4.1
Requires:       python-lockfile
Requires:       python-jsonpointer >= 1.9
Requires:       python-requests
Requires:       python-websocket-client

Requires:       docker

%description
Atomicapp is a reference implementation of the Nulecule Specification.
It can be used to bootstrap container applications and to install and
run them. Atomicapp is designed to be run in a container context.
Examples using this tool may be found in the Nulecule examples directory.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license gpl-3.txt  lgpl-3.0.txt
%doc *.md MAINTAINERS
# *.py, *.pyc and *.pyo files
%{python2_sitelib}/%{name}
# egg-info
%{python2_sitelib}/*.egg-info
# binary
/usr/bin/%{name}

%changelog
* Wed Mar 30 2016 jchaloup <jchaloup@redhat.com> - 0.4.5-1
- Update to 0.4.5
  resolves: #1322176

* Wed Mar 16 2016 jchaloup <jchaloup@redhat.com> - 0.4.4-1
- Update to 0.4.4
  resolves: #1318070

* Wed Mar 02 2016 jchaloup <jchaloup@redhat.com> - 0.4.3-2
- Update to 0.4.3
  resolves: #1313576

* Fri Feb 19 2016 jchaloup <jchaloup@redhat.com> - 0.4.2-1
- Update to 0.4.2
  resolves: #1309915

* Wed Feb 03 2016 jchaloup <jchaloup@redhat.com> - 0.4.1-1
- Update to 0.4.1
  resolves: #1304127

* Thu Jan 21 2016 jchaloup <jchaloup@redhat.com> - 0.4.0-1
- Update to 0.4.0
  resolves: #1300477

* Mon Jan 18 2016 jchaloup <jchaloup@redhat.com> - 0.3.1-2
- Fix dist tag
  related: #1298911

* Mon Jan 18 2016 jchaloup <jchaloup@redhat.com> - 0.3.1-1
- Update to 0.3.1
  resolves: #1298911

* Thu Dec 24 2015 jchaloup <jchaloup@redhat.com> - 0.3.0-1
- Christmas update to 0.3.0
  resolves: #1292635

* Thu Dec 03 2015 jchaloup <jchaloup@redhat.com> - 0.2.3-1
- Update to 0.2.3
  resolves: #1287907

* Wed Nov 18 2015 jchaloup <jchaloup@redhat.com> - 0.2.2-1
- Update to 0.2.2
  resolves: #1279848

* Mon Nov 02 2015 lmohanty <lmohanty@redhat.com> - 0.1.12-2
- Adding python-setuptools and docker to requires

* Mon Oct 26 2015 jchaloup <jchaloup@redhat.com> - 0.1.12-1
- Update to 0.1.12
  resolves: #1274539

* Thu Oct 15 2015 lmohanty <lmohanty@redhat.com> - 0.1.11-2
- Added python-lockfile to requires as per upstream

* Thu Sep 24 2015 jchaloup <jchaloup@redhat.com> - 0.1.11-1
- Update to 0.1.11
  resolves: #1265860

* Tue Sep 22 2015 jchaloup <jchaloup@redhat.com> - 0.1.10-1
- Update to 0.1.10
  resolves: #1265029

* Sat Aug 29 2015 jchaloup <jchaloup@redhat.com> - 0.1.3-2
- Update regular expression for *.egg-info directory
  related: #1253865

* Thu Aug 27 2015 jchaloup <jchaloup@redhat.com> - 0.1.3-1
- Update to 0.1.3 (non-buildable atm)
  resolves: #1253865

* Thu May 21 2015 jchaloup <jchaloup@redhat.com> - 0.1.1-1
- Initial package
  resolves: #1223887
